Skip to main content
GET
List Session Attachments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sessionId
string
required

The session ID to list attachments for.

Required string length: 1 - 256
Example:

"c59e5bd0-e5eb-4bf0-a08a-01f7e8f712c7"

Query Parameters

limit
integer
default:20

Maximum number of items to return (1-100). Use with cursor for pagination through large sets.

Example:

20

cursor
string

Cursor for pagination. Pass the nextCursor from the previous response to get the next page of results.

Example:

"eyJvZmZzZXQiOjAsInBhZ2VJZCI6ImNvZGUifQ"

Response

The session's attachments.

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required
total
integer
Required range: x >= 0